/*
 * Copyright (C) 2021 Anton Romanov - All Rights Reserved
 * You may use, distribute and modify this code, please write to: romanov73@gmail.com.
 *
 */

package ru.ulstu.datamodel;

import com.fasterxml.jackson.annotation.JsonIgnore;
import ru.ulstu.score.ScoreMethod;

public class Score {
    private final ScoreMethod scoreMethod;
    private final Number value;

    public Score(ScoreMethod scoreMethod, Number value) {
        this.scoreMethod = scoreMethod;
        this.value = value;
    }

    public ScoreMethod getScoreMethod() {
        return scoreMethod;
    }

    public Number getValue() {
        return value;
    }

    @JsonIgnore
    public Double getDoubleValue() {
        return value.doubleValue();
    }
}
