/*
 * Copyright (C) 2021 Anton Romanov - All Rights Reserved
 * You may use, distribute and modify this code, please write to: romanov73@gmail.com.
 *
 */

package ru.ulstu.datamodel.response;

class ControllerResponse<D, E> {
    private final D data;
    private final ControllerResponseError<E> error;

    ControllerResponse(D data) {
        this.data = data;
        this.error = null;
    }

    ControllerResponse(ControllerResponseError<E> error) {
        this.data = null;
        this.error = error;
    }

    public D getData() {
        return data;
    }

    public ControllerResponseError<E> getError() {
        return error;
    }
}
