/*
 * Copyright (C) 2021 Anton Romanov - All Rights Reserved
 * You may use, distribute and modify this code, please write to: romanov73@gmail.com.
 *
 */

package ru.ulstu.db;

import ru.ulstu.datamodel.ts.TimeSeries;
import ru.ulstu.db.model.TimeSeriesMeta;
import ru.ulstu.db.model.TimeSeriesSet;

import java.io.IOException;
import java.util.List;

public interface DbService {
    List<TimeSeriesSet> getSets();

    List<TimeSeriesMeta> getTimeSeriesMeta(TimeSeriesSet timeSeriesSet) throws IOException;

    TimeSeries getTimeSeries(TimeSeriesSet timeSeriesSet, String timeSeriesKey) throws IOException;

    boolean addNewSet(String key);

    boolean addTimeSeries(TimeSeriesSet timeSeriesSet, TimeSeries timeSeries);
}
